//ソースファイル　　ttyUSB0.c
//# gcc -o ttyAMA0 ttyUSB0.c

//-----------------------------------------------------------
//-----------------------------------------------------------
//-----------------------------------------------------------

/*
 * ttyUSB0 & ttyAMA0 シリアルポート送受信テストプログラム
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <string.h>
#include <termios.h>
#include <time.h>

#include "extern.h"


//デバイスファイル名は毎回確認する必要があるので注意
//端末上で $ dmesg をタイプしてttyxxx (xxxは要確認)を確認する
//下記に当てはまらない場合は随時追加する
#define DEV_NAME    "/dev/ttyACM0"        // デバイスファイル名
//#define DEV_NAME    "/dev/ttyACM1"        // デバイスファイル名
//#define DEV_NAME    "/dev/ttyUSB0"        // デバイスファイル名
#define BAUD_RATE    B9600                // RS232C通信ボーレート
#define BUFF_SIZE    4096                 // 適当

// シリアルポートの初期化
void serial_init(int fd)
{
    struct termios tio;
    memset(&tio,0,sizeof(tio));
    tio.c_cflag = CS8 | CLOCAL | CREAD;
    tio.c_cc[VTIME] = 100;
    // ボーレートの設定
    cfsetispeed(&tio,BAUD_RATE);
    cfsetospeed(&tio,BAUD_RATE);
    // デバイスに設定を行う
    tcsetattr(fd,TCSANOW,&tio);
}
/* --------------------------------------------------------------------- */
/* メイン                                                                */
/* --------------------------------------------------------------------- */
int ttyUSB0(char str){
    int fd;
    int i,j;
    int len;                                                               // データ数（バイト）  
	unsigned char buffer[BUFF_SIZE],in_data[BUFF_SIZE];    // データバッファ
	//char str[BUFF_SIZE];
    fd = open(DEV_NAME,O_RDWR);         // デバイスファイル（シリアルポート）オープン
    if(fd<0){                                   // デバイスの open() に失敗したら
        perror("デバイスファイルのオープンに失敗");
         exit(1);
    }
    serial_init(fd);                                    // シリアルポートの初期化
    j = 0;

	

	printf("str = %s\n",&str);

	//word[0] = "a.";	
    // メインの無限ループ
    while(1){
		printf("Please push enter key!\n");
		while(getchar() != '\n'){}	//エンターキーの入力待ち

		//sprintf(str,"Hello.");	//必ず"."を文末に書く
		//sprintf(str,"a.");	//必ず"."を文末に書く
		//sprintf(str,%s,word);
		//sprintf(str,*word[0]);


        write(fd,&str,1/*strlen(str)*/);		//Arduinoに送信
                
    }
	return 0;
}








